[Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.4.9

フォーラムルール
クライアントMODと対にして使用する物は極力 MOD 公開/紹介 フォーラムにて公開するようお願いします。
本フォーラムではサーバーへの適用をメインとするサーバーMOD、プラグインを取り扱います。
不明な点は管理人ecolightまでお問い合わせ下さい。

返信する

CAPTCHA 認証コード
表示されたコードを正確に入力してください。各文字は大文字・小文字の区別があります。

BBCode: OFF
スマイリー: OFF
トピックのレビュー
   

展開ビュー トピックのレビュー: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.4.9

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2018年1月15日(月) 16:48

更新内容に誤りがあったため、修正しました。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2018年1月15日(月) 16:37

ScriptBlockPlus v1.4.9 を公開しました。

【更新内容】
・APIの変更、改善
・Cooldown、OldCooldownの内部処理を変更
 - 今までのデータファイルは使用できなくなります。
・設定"sortScripts"有効時に並び替える順番を改善
・オプション"@scriptaction:"、"@blocktype:"を追加
・コマンド引数の不具合を修正
・インベントリ操作オプション"$item"実行終了時にインベントリが更新されない不具合を修正
・その他細かい不具合の修正

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年12月09日(土) 02:17

Daaa さんが書きました:できなかったので報告

~interact create $item:1:0 1 &rああ
~add @bypass /give <player> minecraft:stone 1 0 {display:{Name:"&rああ"}}
~add @bypass /warp aa
同じものを消し・与えたいのですがアイテムは無くなり、warpでの移動はしますが、
giveでのアイテム付与がされませんでした。

大変わかりにくく申し訳ありません


終了時にインベントリを更新していないのが原因みたいですね。(一瞬の内に一度にインベントリを操作することを想定していなかった。)
次のアップデートでアプションに $item を使用している場合は全てのオプションの実行終了時にインベントリを更新する処理を書いておきますね。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by Daaa » 2017年12月08日(金) 20:45

できなかったので報告

~interact create $item:1:0 1 &rああ
~add @bypass /give <player> minecraft:stone 1 0 {display:{Name:"&rああ"}}
~add @bypass /warp aa
同じものを消し・与えたいのですがアイテムは無くなり、warpでの移動はしますが、
giveでのアイテム付与がされませんでした。

大変わかりにくく申し訳ありません

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年12月05日(火) 23:05

Daaaa さんが書きました:フォーラムの使い方がいまいちわからないのでもう一つ書いてしまいます。すいません。

posting.php?mode=reply&f=38&t=33171#pr311039
上記の報告の訂正で、
~ interact create @hand:1:0 1 実行した後に
~ $item:1:0 1 をしています。その際の最後の一つに持っていない判定になっていました。

確認しました内部処理の指定ミスですね。
@hand より $item が先に読み込まれているみたいです。

ただ色々予定が重なっているため、アップデートは新年辺りになりそうです。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by Daaaa » 2017年12月05日(火) 22:13

フォーラムの使い方がいまいちわからないのでもう一つ書いてしまいます。すいません。

posting.php?mode=reply&f=38&t=33171#pr311039
上記の報告の訂正で、
~ interact create @hand:1:0 1 実行した後に
~ $item:1:0 1 をしています。その際の最後の一つに持っていない判定になっていました。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by Daaa » 2017年12月05日(火) 22:04

不具合かわかりませんが、できなかったので報告します。

~ interact create @hand:1:0 1 あああああ
すると、最後の一つの際に手に持っていない判定になっており、最後の一つが使用できませんでした。

わかりにくくてすいません

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月29日(水) 01:20

nsrhts_s2 さんが書きました:
yuttyann44581 さんが書きました:
nsrhts_s2 さんが書きました:effectコマンドを設定しても使えないのは仕様ですか?

情報が少なすぎます。
もう少し詳しく書いてください。
設定したスクリプト、サーバーのバージョンなど


spigot 1.12.2サーバーで/sbp walk create @bypass /effect @p minecraft:levitation 1 10 trueで設定したんですがなぜか反応しないんです。
でも、/sbp walk create @bypass /effect @e minecraft:levitation 1 10 trueだと問題ないんです。
なぜでしょう?


あー確かに確認しました。
@p[r=100]
などを書いて一時的に対策してください。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by nsrhts_s2 » 2017年11月28日(火) 21:27

yuttyann44581 さんが書きました:
nsrhts_s2 さんが書きました:effectコマンドを設定しても使えないのは仕様ですか?

情報が少なすぎます。
もう少し詳しく書いてください。
設定したスクリプト、サーバーのバージョンなど


spigot 1.12.2サーバーで/sbp walk create @bypass /effect @p minecraft:levitation 1 10 trueで設定したんですがなぜか反応しないんです。
でも、/sbp walk create @bypass /effect @e minecraft:levitation 1 10 trueだと問題ないんです。
なぜでしょう?

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月28日(火) 02:52

nsrhts_s2 さんが書きました:effectコマンドを設定しても使えないのは仕様ですか?

情報が少なすぎます。
もう少し詳しく書いてください。
設定したスクリプト、サーバーのバージョンなど

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by nsrhts_s2 » 2017年11月28日(火) 01:40

effectコマンドを設定しても使えないのは仕様ですか?

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月26日(日) 20:48

ScriptBlockPlus v1.4.8 を公開しました。

【更新内容】
・ファイル生成の内部処理を変更
・1.8以下のバージョンで発生する不具合を修正

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by peccator085 » 2017年11月26日(日) 18:08

config.yml、lang_ja.ymlを取り出すとうまくいきました!!!
ありがとうございました!!!

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月26日(日) 17:42

peccator085 さんが書きました:CentOS7です
cat /proc/versionの結果:Linux version 3.10.0-693.2.2.el7.x86_64 (builder@kbuilder.dev.centos.org) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-16) (GCC) ) #1 SMP Tue Sep 12 22:26:13 UTC 2017
uname -aの結果:Linux test-server.gq 3.10.0-693.2.2.el7.x86_64 #1 SMP Tue Sep 12 22:26:13 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
cat /etc/redhat-releaseの結果:CentOS Linux release 7.4.1708 (Core)

CentOS7は動作テストしたことが無いので分かりませんね...(動作想定OSはWindowsなので)
対策としてはconfig.yml、lang_ja.ymlをJarから取り出すかGithubからダウンロードしてplugins/ScriptBlockPlus/...に入れてください。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by peccator085 » 2017年11月26日(日) 17:40

CentOS7です
cat /proc/versionの結果:Linux version 3.10.0-693.2.2.el7.x86_64 (builder@kbuilder.dev.centos.org) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-16) (GCC) ) #1 SMP Tue Sep 12 22:26:13 UTC 2017
uname -aの結果:Linux test-server.gq 3.10.0-693.2.2.el7.x86_64 #1 SMP Tue Sep 12 22:26:13 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
cat /etc/redhat-releaseの結果:CentOS Linux release 7.4.1708 (Core)

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月26日(日) 17:26

peccator085 さんが書きました:ScriptBlockPlus v1.4.7に更新しても同様のエラーが出ます
ファイルの破損はまずないと思いますが一応md5sumでチェクサムを生成してみました。
結果:2ea7bd748d6032e116c924a010d5407d ScriptBlockPlus v1.4.7.jar
これで合っていますか?

2ea7bd748d6032e116c924a010d5407d 問題ありませんね。
ところでOSはなんですか?
対応していない可能性があるので聞きたいです。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by peccator085 » 2017年11月26日(日) 17:03

ScriptBlockPlus v1.4.7に更新しても同様のエラーが出ます
ファイルの破損はまずないと思いますが一応md5sumでチェクサムを生成してみました。
結果:2ea7bd748d6032e116c924a010d5407d ScriptBlockPlus v1.4.7.jar
これで合っていますか?

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月25日(土) 16:43

ScriptBlockPlus v1.4.7 を公開しました。

【更新内容】
・改行文字に"\n"を追加
・コンフィグの設定"leftArmLength"を削除
・アドベンチャーモード時の左クリックの判定を改善
・オプション"$cost"のコストが二倍になる不具合を修正

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by yuttyann44581 » 2017年11月23日(木) 18:02

peccator085 さんが書きました:1.12.1および1.12.2の環境で次のようなエラーが出ます。どうすればいいでしょうか?
1.12.2の場合(/versionの実行結果 : This server is running CraftBukkit version git-Spigot-3d850ec-f46ccd7 (MC: 1.12.2) (Implementing API version 1.12.2-R0.1-SNAPSHOT))

他のプラグインとの競合を起こさないよう最小限のプラグインで実行

/plの実行結果 : LuckPerms, Vault, ScriptBlockPlus(全てグリーン表示)

java -versionの実行結果 :
コード: 全て選択
"java version "1.8.0_151"
Java(TM) SE Runtime Environment (build 1.8.0_151-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.151-b12, mixed mode)"


プラグインのバージョン :
コード: 全て選択
ScriptBlockPlus v1.4.6
LuckPerms v3.4.15
v1.5.6-b49


エラー内容 :
コード: 全て選択
[13:57:50 INFO]: [ScriptBlockPlus] Enabling ScriptBlockPlus v1.4.6
[14:15:34 ERROR]: Error occurred while enabling ScriptBlockPlus v1.4.6 (Is it up to date?)
java.lang.NullPointerException: entry
   at java.util.zip.ZipFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
   at java.util.jar.JarFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
   at com.github.yuttyann.scriptblockplus.utils.FileUtils.copyFileFromJar(FileUtils.java:48) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.reload(YamlConfig.java:102) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.<init>(YamlConfig.java:40) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:48) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:56) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.Files.loadFile(Files.java:50) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.Files.reload(Files.java:21) ~[?:?]
   at com.github.yuttyann.scriptblockplus.ScriptBlock.onEnable(ScriptBlock.java:42) ~[?:?]
   at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:382) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:331) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at java.lang.Thread.run(Unknown Source) [?:1.8.0_151]


1.12.1の場合(/versionの実行結果 : This server is running CraftBukkit version git-Spigot-65e8124-bde2a93 (MC: 1.12.1) (Implementing API version 1.12.1-R0.1-SNAPSHOT))
実際に入れたい環境

/plの実行結果 : LuckPerms, LavaSpongeBeta, WorldEdit, Skript, VoidGenerator, commandDelay, Lift, PluginManagerReloaded, SetSpawn, Vault, BungeeTabListPlus, Multiverse-Core, ProtocolLib, WorldEditSelectionVisualizer, ProxySuiteBukkit, ChestCommands, IPortal, Essentials, PlayerSQL, Jobs, ScriptBlockPlus, Multiverse-Portals, LWC(全てグリーン表示)

java -versionの実行結果 :
コード: 全て選択
"java version "1.8.0_151"
Java(TM) SE Runtime Environment (build 1.8.0_151-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.151-b12, mixed mode)"


プラグインのバージョン :
コード: 全て選択
LavaSpongeBeta v1.0.6.5
WorldEdit v6.1.8-SNAPSHOT;cd4729f
Skript v2.2-dev31b
VoidGenerator v1.1.0
commandDelay v1.0
Lift v56
PluginManagerReloaded v1.0.2
SetSpawn v2.2.1
Vault v1.5.6-b49
BungeeTabListPlus v2.8.2
Multiverse-Core v1.1
ProtocolLib v4.3.0
WorldEditSelectionVisualizer v1.4.8
ProxySuiteBukkit v1.2.4
ChestCommands v3.1.4
IPortal v1.5
Essentials v2.0.1-bSNAPSHOT
PlayerSQL v2.5.2
Jobs v4.2.0
Multiverse-Portals v2.5.0-b751
LWC v1.9.3
LuckPerms v3.4.15
ScriptBlockPlus v1.4.6


エラー内容 :
コード: 全て選択
[13:57:50 INFO]: [ScriptBlockPlus] Enabling ScriptBlockPlus v1.4.6
[13:57:50 ERROR]: Error occurred while enabling ScriptBlockPlus v1.4.6 (Is it up to date?)
java.lang.NullPointerException: entry
        at java.util.zip.ZipFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
        at java.util.jar.JarFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
        at com.github.yuttyann.scriptblockplus.utils.FileUtils.copyFileFromJar(FileUtils.java:48) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.reload(YamlConfig.java:102) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.<init>(YamlConfig.java:40) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:48) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:56) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.Files.loadFile(Files.java:50) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.Files.reload(Files.java:21) ~[?:?]
        at com.github.yuttyann.scriptblockplus.ScriptBlock.onEnable(ScriptBlock.java:42) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:402) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:380) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:329) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_151]

報告ありがとうございます。
報告された環境に近い環境で、テストしましたがそのようなエラーの発生は確認できませんでした。
念のため再ダウンロードお願いします。

Re: [Bukkit 1.7.2-1.12.2] スクリプト埋め込みプラグイン ScriptBlockPlus v1.

投稿記事 by peccator085 » 2017年11月23日(木) 14:16

1.12.1および1.12.2の環境で次のようなエラーが出ます。どうすればいいでしょうか?
1.12.2の場合(/versionの実行結果 : This server is running CraftBukkit version git-Spigot-3d850ec-f46ccd7 (MC: 1.12.2) (Implementing API version 1.12.2-R0.1-SNAPSHOT))

他のプラグインとの競合を起こさないよう最小限のプラグインで実行

/plの実行結果 : LuckPerms, Vault, ScriptBlockPlus(全てグリーン表示)

java -versionの実行結果 :
コード: 全て選択
"java version "1.8.0_151"
Java(TM) SE Runtime Environment (build 1.8.0_151-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.151-b12, mixed mode)"


プラグインのバージョン :
コード: 全て選択
ScriptBlockPlus v1.4.6
LuckPerms v3.4.15
v1.5.6-b49


エラー内容 :
コード: 全て選択
[13:57:50 INFO]: [ScriptBlockPlus] Enabling ScriptBlockPlus v1.4.6
[14:15:34 ERROR]: Error occurred while enabling ScriptBlockPlus v1.4.6 (Is it up to date?)
java.lang.NullPointerException: entry
   at java.util.zip.ZipFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
   at java.util.jar.JarFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
   at com.github.yuttyann.scriptblockplus.utils.FileUtils.copyFileFromJar(FileUtils.java:48) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.reload(YamlConfig.java:102) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.<init>(YamlConfig.java:40) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:48) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:56) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.Files.loadFile(Files.java:50) ~[?:?]
   at com.github.yuttyann.scriptblockplus.file.Files.reload(Files.java:21) ~[?:?]
   at com.github.yuttyann.scriptblockplus.ScriptBlock.onEnable(ScriptBlock.java:42) ~[?:?]
   at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:382) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:331) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.2.jar:git-Spigot-3d850ec-f46ccd7]
   at java.lang.Thread.run(Unknown Source) [?:1.8.0_151]


1.12.1の場合(/versionの実行結果 : This server is running CraftBukkit version git-Spigot-65e8124-bde2a93 (MC: 1.12.1) (Implementing API version 1.12.1-R0.1-SNAPSHOT))
実際に入れたい環境

/plの実行結果 : LuckPerms, LavaSpongeBeta, WorldEdit, Skript, VoidGenerator, commandDelay, Lift, PluginManagerReloaded, SetSpawn, Vault, BungeeTabListPlus, Multiverse-Core, ProtocolLib, WorldEditSelectionVisualizer, ProxySuiteBukkit, ChestCommands, IPortal, Essentials, PlayerSQL, Jobs, ScriptBlockPlus, Multiverse-Portals, LWC(全てグリーン表示)

java -versionの実行結果 :
コード: 全て選択
"java version "1.8.0_151"
Java(TM) SE Runtime Environment (build 1.8.0_151-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.151-b12, mixed mode)"


プラグインのバージョン :
コード: 全て選択
LavaSpongeBeta v1.0.6.5
WorldEdit v6.1.8-SNAPSHOT;cd4729f
Skript v2.2-dev31b
VoidGenerator v1.1.0
commandDelay v1.0
Lift v56
PluginManagerReloaded v1.0.2
SetSpawn v2.2.1
Vault v1.5.6-b49
BungeeTabListPlus v2.8.2
Multiverse-Core v1.1
ProtocolLib v4.3.0
WorldEditSelectionVisualizer v1.4.8
ProxySuiteBukkit v1.2.4
ChestCommands v3.1.4
IPortal v1.5
Essentials v2.0.1-bSNAPSHOT
PlayerSQL v2.5.2
Jobs v4.2.0
Multiverse-Portals v2.5.0-b751
LWC v1.9.3
LuckPerms v3.4.15
ScriptBlockPlus v1.4.6


エラー内容 :
コード: 全て選択
[13:57:50 INFO]: [ScriptBlockPlus] Enabling ScriptBlockPlus v1.4.6
[13:57:50 ERROR]: Error occurred while enabling ScriptBlockPlus v1.4.6 (Is it up to date?)
java.lang.NullPointerException: entry
        at java.util.zip.ZipFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
        at java.util.jar.JarFile.getInputStream(Unknown Source) ~[?:1.8.0_151]
        at com.github.yuttyann.scriptblockplus.utils.FileUtils.copyFileFromJar(FileUtils.java:48) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.reload(YamlConfig.java:102) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.<init>(YamlConfig.java:40) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:48) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.yaml.YamlConfig.load(YamlConfig.java:56) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.Files.loadFile(Files.java:50) ~[?:?]
        at com.github.yuttyann.scriptblockplus.file.Files.reload(Files.java:21) ~[?:?]
        at com.github.yuttyann.scriptblockplus.ScriptBlock.onEnable(ScriptBlock.java:42) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:402) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:380) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:329) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.1.jar:git-Spigot-65e8124-bde2a93]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_151]

ページトップ

x